qpid-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From astitc...@apache.org
Subject qpid-proton git commit: PROTON-1611: Enable C++ at top level of build - Change installation to say that C++ is actually required for build
Date Tue, 17 Oct 2017 19:30:02 GMT
Repository: qpid-proton
Updated Branches:
  refs/heads/master ab97f488a -> 2e9412ca5


PROTON-1611: Enable C++ at top level of build
- Change installation to say that C++ is actually required for build


Project: http://git-wip-us.apache.org/repos/asf/qpid-proton/repo
Commit: http://git-wip-us.apache.org/repos/asf/qpid-proton/commit/2e9412ca
Tree: http://git-wip-us.apache.org/repos/asf/qpid-proton/tree/2e9412ca
Diff: http://git-wip-us.apache.org/repos/asf/qpid-proton/diff/2e9412ca

Branch: refs/heads/master
Commit: 2e9412ca5dfd4393e16928c882680b0ed92d0c7a
Parents: ab97f48
Author: Andrew Stitcher <astitcher@apache.org>
Authored: Tue Oct 17 15:26:23 2017 -0400
Committer: Andrew Stitcher <astitcher@apache.org>
Committed: Tue Oct 17 15:29:42 2017 -0400

----------------------------------------------------------------------
 CMakeLists.txt | 6 ++----
 INSTALL.md     | 7 +++----
 2 files changed, 5 insertions(+), 8 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/qpid-proton/blob/2e9412ca/CMakeLists.txt
----------------------------------------------------------------------
diff --git a/CMakeLists.txt b/CMakeLists.txt
index ab0bc79..36b1b34 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -18,7 +18,8 @@
 #
 cmake_minimum_required (VERSION 2.8.7)
 
-project (Proton C)
+# project defaults to C and C++ languages
+project (Proton)
 
 # Enable testing
 enable_testing()
@@ -34,9 +35,6 @@ if (MSVC)
 endif (MSVC)
 
 option(BUILD_WITH_CXX "Compile Proton using C++" ${DEFAULT_BUILD_WITH_CXX})
-if (BUILD_WITH_CXX)
-  enable_language(CXX)
-endif()
 
 if (CMAKE_CONFIGURATION_TYPES)
   # There is no single "build type"...

http://git-wip-us.apache.org/repos/asf/qpid-proton/blob/2e9412ca/INSTALL.md
----------------------------------------------------------------------
diff --git a/INSTALL.md b/INSTALL.md
index c662826..b9482ff 100644
--- a/INSTALL.md
+++ b/INSTALL.md
@@ -34,7 +34,7 @@ given language binding you can omit the devel package for that
 language.
 
     # Required dependencies
-    $ yum install gcc make cmake libuuid-devel
+    $ yum install gcc gcc-c++ make cmake libuuid-devel
 
     # Dependencies needed for SSL support
     $ yum install openssl-devel
@@ -48,7 +48,6 @@ language.
     $ yum install ruby-devel rubygem-minitest                # Ruby
     $ yum install php-devel                                  # PHP
     $ yum install perl-devel                                 # Perl
-    $ yum install gcc-c++                                    # C++ (swig not required)
 
     # Dependencies needed for Python docs
     $ yum install epydoc
@@ -58,7 +57,7 @@ Debian-based systems (Ubuntu).  If you do not wish to build a given
 language binding you can omit the dev package for that language.
 
     # Required dependencies 
-    $ apt-get install gcc cmake cmake-curses-gui uuid-dev
+    $ apt-get install gcc g++ cmake cmake-curses-gui uuid-dev
 
     # Dependencies needed for SSL support
     $ apt-get install libssl-dev
@@ -67,7 +66,7 @@ language binding you can omit the dev package for that language.
     $ apt-get install libsasl2-2 libsasl2-dev
 
     # dependencies needed for bindings
-    $ apt-get install swig python-dev ruby-dev libperl-dev g++
+    $ apt-get install swig python-dev ruby-dev libperl-dev
 
     # dependencies needed for python docs
     $ apt-get install python-epydoc


---------------------------------------------------------------------
To unsubscribe, e-mail: commits-unsubscribe@qpid.apache.org
For additional commands, e-mail: commits-help@qpid.apache.org


Mime
View raw message